Mercury API
ReceiveBytes Method (length, messageSpace, offset)
Namespaces ► ThingMagic ► SerialTransport ► ReceiveBytes(Int32, array<Byte>[]()[], Int32)
Receive a number of bytes on the serial transport.
Declaration Syntax

C# | Visual Basic | Visual C++

    public abstract int ReceiveBytes(
    	int length,
    	byte[] messageSpace,
    	int offset
    )

    Public MustOverride Function ReceiveBytes ( _
    	length As Integer, _
    	messageSpace As Byte(), _
    	offset As Integer _
    ) As Integer

    public:
    virtual int ReceiveBytes(
    	int length,
    	array<unsigned char>^ messageSpace,
    	int offset
    ) abstract

Parameters

length (Int32)
  number of bytes to receive

messageSpace (array< Byte >[]()[])
  byte array to store the message in, or null to have one allocated

offset (Int32)
  location in messageSpace to store bytes

Return Value
the byte array with the number of bytes added

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)